#include<bits/stdc++.h>
using namespace std;
#pragma optimise ("O3")
#pragma target ("sse4")
const long long MAXN=100007;
long long n;
struct point
{
    int x,y;
} pp[MAXN];
int main()
{
    cin>>n;
    for (int q=0;q<n;q++) cin>>pp[q].x>>pp[q].y;
    long long ans=0;
    for (int q=0;q<n;q++)
    {
        for (int w=q+1;w<n;w++)
        {
            long long xr=pp[q].x-pp[w].x;
            long long yr=pp[q].y-pp[w].y;
            ans+=xr*xr;
            ans+=yr*yr;
        }
    }
    cout<<ans<<"\n";
}
